function addKeyEventListener()
{
    document.addEventListener('keydown', keyboardHandler);
}

function removeKeyEventListener()
{
    document.removeEventListener('keydown', keyboardHandler);
}

function keyboardHandler(event)
{
        if (event.defaultPrevented) {
            return;
        }

        var key = event.key || event.keyCode;
        var code = event.code;

        if(code == "Numpad"+key)
        {
            if(key>8 || key == 0)
                return;

            fireButton(key-1);
            return;
        }
}