//************************************************** Configuration ************************************************************
//*****************************************************************************************************************************

function updateLabels()
{
  for(let a=1; a < numberOfWhiteLabels+1; a++)
  {
    let elm = document.getElementById("btn"+a);
    let elmInput = document.getElementById("label"+a);
    elm.textContent = elmInput.value;
    config["Label"+a] = elmInput.value;
  }
}

function updateExtLabels()
{
  for(let a=8; a < 16; a++)
  {
    let elm = document.getElementById("btn"+a).childNodes[0];
    let elmInput = document.getElementById("label"+a);
    elm.innerHTML = elmInput.value;
    config["Label"+a] = elmInput.value;
  }
}

function updatePosition()
{
  for(let a=1; a < numberOfWhiteLabels+1; a++)
  {
    let elm = document.getElementById("btn"+a);
    let elmOff = document.getElementById("off"+a);
    
    elm.textContent = eval("config.Label"+a); 
    elm.setAttribute('x', parseInt(eval("defaultK.x"+a)) + parseInt(elmOff.value));
    config["Offset"+a] = elmOff.value;
  }
}

function updateIp()
{
  let elmIp = document.getElementById("deviceIp");
  config.Ip = elmIp.value; 
}

function updateId()
{
  let elmId = document.getElementById("myid");
  let elmDeviceName = document.getElementById("devicename");
  elmDeviceName.textContent = elmId.value;
  config.myid = elmId.value; 
}


function updateFontSize()
{
  let elmFs = document.getElementById("fs");

  for(let a=1; a < numberOfWhiteLabels+1; a++)
  {
    document.getElementById("btn"+a).style.fontSize = elmFs.value+"px";
  }

  config.FontSize = elmFs.value; 
}

function updateFontCol()
{
  let elmCol = document.getElementById("fcol");

  for(let a=1; a < numberOfWhiteLabels+1; a++)
  {
    document.getElementById("btn"+a).style.fill = elmCol.value;
  }

  config.FillColor = elmCol.value; 
}



//************************************************** Link n device ************************************************************
//*****************************************************************************************************************************

function generateLink()
{
  let result = window.location.href.split('?')[0];
  result += "?";
  result += "ip="+document.getElementById("deviceIp").value+"&";

  for(let a=1; a < numberOfWhiteLabels+1; a++)
  {
    result += "l"+a+"="+document.getElementById("btn"+a).textContent+"&";
    result += "o"+a+"="+document.getElementById("off"+a).value+"&";
  }

  for(let b=8; b < 16; b++)
  {
    result += "l"+b+"="+document.getElementById("btn"+b).childNodes[0].innerHTML+"&";
  }

  result += "id=" + document.getElementById("myid").value+"&";
  result += "col="+escape(document.getElementById("fcol").value)+"&";
  result += "fons=" + document.getElementById("fs").value;
  
  document.getElementById("genLink").value = result;
}

function findDevice()
{
  let result = window.location.href.split('/index')[0];
  window.open(result+"/pinger.html", '_blank');
}

function openUrl()
{
  window.open(document.getElementById("genLink").value, '_blank');
}

function openStorage()
{
  let result = window.location.href.split('.html')[0];
  result += ".html?id="+config.myid
  window.open(result, '_blank');
}
