class WebClient {

    constructor() {
        this.Client = new WebSocket("ws://"+config.Ip+"/xxws"); 

        this.Client.onopen = () => { 
            console.log("Connected to websockets!")
            this.SendToClient("G", null);
            getInterval = window.setInterval(() => { client.SendToClient("G", null); console.log("Interval status called")}, 10000);          
        };
        this.Client.onclose = () => { 
            alert("WebSocket is cleeeeosed");
            this.HandleGetStatus();
        };

        this.Client.onmessage = (event) => 
        { 
            let result = JSON.parse(event.data);
                
            this.SetValuesFromWSResult(result);
            console.log(event.data);
        };

        this.Reload = true;
    }

    SendToClient(cmd, values)
    {
        try
        {
            /*
                S/<banknr>/<value>
                s/<banknr>/<pin>/<0/1>
                G/ => GetStatus
            */
            if (this.Client.readyState === WebSocket.CLOSED) 
            {
                console.log("Trying to reconnect...");
                location.reload();
                return;
            };

            if(cmd == "G")
            {
                this.Client.send("G");
                return;
            };

            if(cmd == "S")
            {
                this.Client.send("S/"+values[0]+"/"+values[1]);
                return;
            };

            if(cmd == "s")
            {
                this.Client.send("s/"+values[0]+"/"+values[1]+"/"+values[2]);
                return;
            };
        }
        catch {
            console.log("cannot connect to ws");
        }
    }

    SetValuesFromWSResult(result)
    {
        if(result.IsPTT != undefined)
            handlePTT(result);
        else
            handleWSResult(result);
    }

    HandleGetStatus()
    {
        //update UI
        if (this.Reload && this.Client.readyState === WebSocket.CLOSED) 
        {
            console.log("Trying to reconnect...");
            //location.reload();
        }

        console.log("CloseHandleCalled");
        
    }
}